# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtRating

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.YtRating

All Implemented Interfaces:
  Extension

    public class YtRating

extends AbstractExtension

Object representation for the yt:rating tag.

Nested Class Summary
`static class` `YtRating.Value` Value of this rating element.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtRating()` Creates an empty tag.
`YtRating(int numLikes, int numDislikes)` Creates a rating tag with the given attributes.
`YtRating(java.lang.String value)` Creates a rating tag with the given value.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`int` `getNumDislikes()`
`int` `getNumLikes()`
`java.lang.String` `getValue()`
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setNumDislikes(int numDislikes)`
`void` `setNumLikes(int numLikes)`
`void` `setValue(java.lang.String value)`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtRating

    public YtRating()

  Creates an empty tag.

### YtRating

    public YtRating(int numLikes,
                    int numDislikes)

  Creates a rating tag with the given attributes.

  Parameters:
    `numLikes` - number of like votes.
    `numDislikes` - number of dislike votes.

### YtRating

    public YtRating(java.lang.String value)

  Creates a rating tag with the given value.

  Parameters:
    `value` - rating value, one of `YtRating.Value`.

Method Detail

### getNumLikes

    public int getNumLikes()

  Returns:
    the numLikes

### setNumLikes

    public void setNumLikes(int numLikes)

  Parameters:
    `numLikes` - the numLikes to set

### getNumDislikes

    public int getNumDislikes()

  Returns:
    the numDislikes

### setNumDislikes

    public void setNumDislikes(int numDislikes)

  Parameters:
    `numDislikes` - the numDislikes to set

### getValue

    public java.lang.String getValue()

  Returns:
    the value

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - the value to set, one of `YtRating.Value`.

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator